[SciPy-user] error: build/src/atlas321/fblas.pyf: No such file or directory

Jason Rennie jrennie at csail.mit.edu
Mon Jun 28 12:47:45 CDT 2004


I sent this earlier as a non-member.  I've since joined and don't see
my message in the archives, so I'm posting it again.  Sorry if this
yields duplicate messages.

I'm trying to install SciPy from source.  I'm using Debian Sarge.
I've installed all of the 'PREREQUISITES', i.e. these Debian packages:

  python python-dev
  python-numeric python-numeric-ext
  atlas2-headers atlas2-sse2 atlas2-sse2-dev
  gcc g++ g77

I've also installed:

  Scipy_core-0.3.0_108.1820
  F2PY-2.39.235_1693

Python seems to have the zlib module enabled:

jrennie at orava:~$ python
Python 2.3.4 (#2, May 29 2004, 03:31:27) 
[GCC 3.3.3 (Debian 20040417)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import zlib 
>>> 

Here's the error I'm getting.  When I run 'python setup.py build', I get:

-----8<-----
...
generating fblas interface
20
error: build/src/atlas321/fblas.pyf: No such file or directory
jrennie at orava:/tmp/SciPy_complete-0.3$ 
----->8-----

Any help is appreciated.  I've included lots of diagnostic information
below and attached.

Thanks,

Jason

-----8<-----
>>> from f2py2e.diagnose import run;run()
------
os.name='posix'
------
sys.platform='linux2'
------
sys.version:
2.3.4 (#2, May 29 2004, 03:31:27) 
[GCC 3.3.3 (Debian 20040417)]
------
sys.prefix:
/usr
------
sys.path=':/afs/csail.mit.edu/u/j/jrennie:/afs/csail/u/j/jrennie/usr/lib/python2.3/site-packages:/afs/csail/u/j/jrennie/usr/linux/lib/python2.3/site-packages:/usr/lib/python23.zip:/usr/lib/python2.3:/usr/lib/python2.3/plat-linux2:/usr/lib/python2.3/lib-tk:/usr/lib/python2.3/lib-dynload:/usr/local/lib/python2.3/site-packages:/usr/lib/python2.3/site-packages:/usr/lib/python2.3/site-packages/Numeric'
------
Failed to import numarray: No module named numarray
Found Numeric version '23.1' in /usr/lib/python2.3/site-packages/Numeric/Numeric.pyc
Found f2py2e version '2.39.235_1693' in /afs/csail/u/j/jrennie/usr/lib/python2.3/site-packages/f2py2e/f2py2e.pyc
Found scipy_distutils version '0.3.0_27.455' in '/afs/csail/u/j/jrennie/usr/linux/lib/python2.3/site-packages/scipy_distutils/__init__.pyc'
------
Importing scipy_distutils.command.build_flib ... error: No module named build_flib
------
Checking availability of supported Fortran compilers:
error: local variable 'build_flib' referenced before assignment
------
Importing scipy_distutils.fcompiler ... ok
------
Checking availability of supported Fortran compilers:
customize CompaqFCompiler
customize AbsoftFCompiler
Could not locate executable ifort
Could not locate executable ifc
Could not locate executable efort
Could not locate executable efc
Could not locate executable ifort
customize IntelFCompiler
customize GnuFCompiler
customize SunFCompiler
customize VastFCompiler
customize IbmFCompiler
customize LaheyFCompiler
customize IntelVisualFCompiler
customize IntelItaniumFCompiler
customize PGroupFCompiler
customize CompaqVisualFCompiler
customize MipsFCompiler
customize HPUXFCompiler
customize IntelItaniumVisualFCompiler
customize NAGFCompiler
List of available Fortran compilers:
  --fcompiler=gnu  GNU Fortran Compiler (3.3.3)
List of unavailable Fortran compilers:
  --fcompiler=absoft   Absoft Corp Fortran Compiler
  --fcompiler=compaq   Compaq Fortran Compiler
  --fcompiler=compaqv  DIGITAL|Compaq Visual Fortran Compiler
  --fcompiler=hpux     HP Fortran 90 Compiler
  --fcompiler=ibm      IBM XL Fortran Compiler
  --fcompiler=intel    Intel Fortran Compiler for 32-bit apps
  --fcompiler=intele   Intel Fortran Compiler for Itanium apps
  --fcompiler=intelev  Intel Visual Fortran Compiler for Itanium apps
  --fcompiler=intelv   Intel Visual Fortran Compiler for 32-bit apps
  --fcompiler=lahey    Lahey/Fujitsu Fortran 95 Compiler
  --fcompiler=mips     MIPSpro Fortran Compiler
  --fcompiler=nag      NAGWare Fortran 95 Compiler
  --fcompiler=pg       Portland Group Fortran Compiler
  --fcompiler=sun      Sun|Forte Fortran 95 Compiler
  --fcompiler=vast     Pacific-Sierra Research Fortran 90 Compiler
List of unimplemented Fortran compilers:
  --fcompiler=f  Fortran Company/NAG F Compiler
For compiler details, run 'config_fc --verbose' setup command.
------
Importing scipy_distutils.command.cpuinfo ... error: No module named cpuinfo
Importing scipy_distutils.cpuinfo ... ok
------
CPU information: getNCPUs has_mmx has_sse has_sse2 is_Intel ------
>>> 
jrennie at orava:~$ uname -a
Linux orava.csail.mit.edu 2.4.26-1-686-smp #1 SMP Sat May 1 19:17:11 EST 2004 i686 GNU/Linux
jrennie at orava:~$ gcc -v
Reading specs from /usr/lib/gcc-lib/i486-linux/3.3.3/specs
Configured with: ../src/configure -v --enable-languages=c,c++,java,f77,pascal,objc,ada,treelang --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared --with-system-zlib --enable-nls --without-included-gettext --enable-__cxa_atexit --enable-clocale=gnu --enable-debug --enable-java-gc=boehm --enable-java-awt=xlib --enable-objc-gc i486-linux
Thread model: posix
gcc version 3.3.3 (Debian 20040422)
jrennie at orava:~$ g77 --version
GNU Fortran (GCC) 3.3.3 (Debian 20040422)
Copyright (C) 2002 Free Software Foundation, Inc.

GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
You may redistribute copies of GNU Fortran
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING
or type the command `info -f g77 Copying'.
----->8-----

Output of 'python scipy_core/scipy_distutils/system_info.py' is
attached.  THe file 'scipy_core/scipy_distutils/command/build_flib.py'
does not exist in the distribution.

-------------- next part --------------
_pkg_config_info:
Could not locate executable pkg-config
File not found: pkg-config. Cannot determine None info.
  NOT AVAILABLE

agg2_info:
( src_dirs = .:/usr/local/src )
  NOT AVAILABLE

atlas_blas_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/atlas )
( paths: /usr/lib/libf77blas.so )
( paths: /usr/lib/libcblas.so )
( paths: /usr/lib/libatlas.so )
( paths: /usr/lib/atlas )
system_info.atlas_blas_info
( include_dirs = /usr/local/include:/usr/include )
( paths: /usr/include/atlas_misc.h,/usr/include/atlas_enum.h,/usr/include/atlas_aux.h,/usr/include/atlas_type.h )
( paths: /usr/include/cblas.h )
  FOUND:
    libraries = ['f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib']
    language = c
    include_dirs = ['/usr/include']

atlas_blas_threads_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/atlas )
( paths: /usr/lib/libatlas.so )
( paths: /usr/lib/libatlas.a )
system_info.atlas_blas_threads_info
  NOT AVAILABLE

atlas_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/atlas )
( paths: /usr/lib/libf77blas.so )
( paths: /usr/lib/libcblas.so )
( paths: /usr/lib/libatlas.so )
( paths: /usr/lib/liblapack_atlas.so )
( paths: /usr/lib/atlas )
( paths: /usr/lib/atlas/liblapack.so )
system_info.atlas_info
( include_dirs = /usr/local/include:/usr/include )
( paths: /usr/include/atlas_misc.h,/usr/include/atlas_enum.h,/usr/include/atlas_aux.h,/usr/include/atlas_type.h )
( paths: /usr/include/cblas.h )
  FOUND:
    libraries = ['lapack', 'f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib/atlas', '/usr/lib']
    language = f77
    include_dirs = ['/usr/include']

atlas_threads_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/atlas )
( paths: /usr/lib/libatlas.so )
( paths: /usr/lib/libatlas.a )
( paths: /usr/lib/liblapack_atlas.so )
system_info.atlas_threads_info
  NOT AVAILABLE

blas_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/libblas.so )
  FOUND:
    libraries = ['blas']
    library_dirs = ['/usr/lib']
    language = f77

blas_opt_info:
running build_src
building extension "atlas_version" sources
  adding 'build/src/atlas_version_0x68649178.c' to sources.
running build_ext
customize UnixCCompiler
customize UnixCCompiler using build_ext
  FOUND:
    libraries = ['f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib']
    language = c
    define_macros = [('ATLAS_INFO', '"\\"3.2.1_pre3.3.6\\""')]
    include_dirs = ['/usr/include']

blas_src_info:
( src_dirs = .:/usr/local/src )
  NOT AVAILABLE

boost_python_info:
( src_dirs = .:/usr/local/src )
  NOT AVAILABLE

dfftw_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  NOT AVAILABLE

dfftw_threads_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  NOT AVAILABLE

djbfft_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  NOT AVAILABLE

fftw_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
( paths: /usr/lib/librfftw.so )
( paths: /usr/lib/libfftw.so )
( paths: /usr/include/fftw.h,/usr/include/rfftw.h )
  FOUND:
    libraries = ['rfftw', 'fftw']
    library_dirs = ['/usr/lib']
    define_macros = [('SCIPY_FFTW_H', None)]
    include_dirs = ['/usr/include']

fftw_threads_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
( paths: /usr/lib/librfftw_threads.so )
( paths: /usr/lib/libfftw_threads.so )
( paths: /usr/include/fftw_threads.h,/usr/include/rfftw_threads.h )
  FOUND:
    libraries = ['rfftw_threads', 'fftw_threads']
    library_dirs = ['/usr/lib']
    define_macros = [('SCIPY_FFTW_THREADS_H', None)]
    include_dirs = ['/usr/include']

freetype2_info:
Could not locate executable pkg-config
File not found: pkg-config. Cannot determine freetype2 info.
  NOT AVAILABLE

gdk_pixbuf_2_info:
Could not locate executable pkg-config
File not found: pkg-config. Cannot determine gdk_pixbuf_2 info.
  NOT AVAILABLE

gdk_pixbuf_xlib_2_info:
Could not locate executable pkg-config
File not found: pkg-config. Cannot determine gdk_pixbuf_xlib_2 info.
  NOT AVAILABLE

gdk_x11_2_info:
Could not locate executable pkg-config
File not found: pkg-config. Cannot determine gdk_x11_2 info.
  NOT AVAILABLE

gtkp_2_info:
Could not locate executable pkg-config
File not found: pkg-config. Cannot determine gtkp_2 info.
  NOT AVAILABLE

gtkp_x11_2_info:
Could not locate executable pkg-config
/tmp/SciPy_complete-0.3/scipy_core/scipy_distutils/system_info.py:808: FutureWarning: hex()/oct() of negative int will return a signed string in Python 2.4 and up
  magic = hex(hash(`config`))
File not found: pkg-config. Cannot determine gtkp_x11_2 info.
  NOT AVAILABLE

lapack_atlas_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/atlas )
( paths: /usr/lib/liblapack_atlas.so )
( paths: /usr/lib/libf77blas.so )
( paths: /usr/lib/libcblas.so )
( paths: /usr/lib/libatlas.so )
( paths: /usr/lib/liblapack_atlas.so )
( paths: /usr/lib/atlas )
( paths: /usr/lib/atlas/liblapack.so )
system_info.lapack_atlas_info
( include_dirs = /usr/local/include:/usr/include )
( paths: /usr/include/atlas_misc.h,/usr/include/atlas_enum.h,/usr/include/atlas_aux.h,/usr/include/atlas_type.h )
( paths: /usr/include/cblas.h )
  FOUND:
    libraries = ['lapack', 'lapack_atlas', 'f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib/atlas', '/usr/lib']
    language = f77
    include_dirs = ['/usr/include']

lapack_atlas_threads_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/atlas )
( paths: /usr/lib/liblapack_atlas.so )
( paths: /usr/lib/libatlas.so )
( paths: /usr/lib/liblapack_atlas.a )
( paths: /usr/lib/libatlas.a )
( paths: /usr/lib/liblapack_atlas.so )
system_info.lapack_atlas_threads_info
  NOT AVAILABLE

lapack_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/liblapack.so )
  FOUND:
    libraries = ['lapack']
    library_dirs = ['/usr/lib']
    language = f77

lapack_opt_info:
running build_src
building extension "atlas_version" sources
  adding 'build/src/atlas_version_0xce783626.c' to sources.
running build_ext
customize UnixCCompiler
customize UnixCCompiler using build_ext
customize GnuFCompiler
customize GnuFCompiler
customize GnuFCompiler using build_ext
  FOUND:
    libraries = ['lapack', 'f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib/atlas', '/usr/lib']
    language = f77
    define_macros = [('ATLAS_INFO', '"\\"3.2.1_pre3.3.6\\""')]
    include_dirs = ['/usr/include']

lapack_src_info:
( src_dirs = .:/usr/local/src )
  NOT AVAILABLE

numarray_info:
  NOT AVAILABLE

numpy_info:
( include_dirs = /usr/include/python2.3 )
( paths: /usr/include/python2.3/Numeric/arrayobject.h )
  FOUND:
    define_macros = [('NUMERIC_VERSION', '"\\"23.1\\""')]
    include_dirs = ['/usr/include/python2.3']

sfftw_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  NOT AVAILABLE

sfftw_threads_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  NOT AVAILABLE

wx_info:
Could not locate executable wx-config
File not found: wx-config. Cannot determine wx info.
  NOT AVAILABLE

x11_info:
( library_dirs = /usr/X11R6/lib:/usr/lib )
( include_dirs = /usr/X11R6/include:/usr/include )
  NOT AVAILABLE

xft_info:
Could not locate executable pkg-config
File not found: pkg-config. Cannot determine xft info.
  NOT AVAILABLE



More information about the SciPy-user mailing list